Bug 1249210 - rhel-osp-director: Single controller overcloud deployment - neutron-l3-agent is down. [NEEDINFO]
rhel-osp-director: Single controller overcloud deployment - neutron-l3-agent ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: 10.0 (Newton)
Assigned To: Brent Eagles
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 15:42 EDT by Alexander Chuzhoy
Modified: 2016-10-14 13:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
A timing issue sometimes causes Overcloud neutron services to not automatically start correctly. This means instances are not accessible. As a workaround, you can run the following command on the Controller node cluster: $ sudo pcs resource debug-start neutron-l3-agent Instances will work correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-14 13:05:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amuller: needinfo? (sasha)


Attachments (Terms of Use)
neutron conf and logs (192.09 KB, application/x-gzip)
2015-07-31 15:47 EDT, Alexander Chuzhoy
no flags Details

  None (edit)
Description Alexander Chuzhoy 2015-07-31 15:42:52 EDT
rhel-osp-director: Single controller overcloud deployment - neutron-l3-agent is down.

Environment:


Steps to reproduce:
1. Deploy undercloud.
2. Deploy overcloud with: 1 controller, 1 compute, 1 ceph.
3. Check the status of neutron-l3-agent


Result:
[root@overcloud-controller-0 ~]# pcs resource|grep -B2 -i Stop
     Started: [ overcloud-controller-0 ]
 Clone Set: neutron-l3-agent-clone [neutron-l3-agent]
     Stopped: [ overcloud-controller-0 ]
--
     Started: [ overcloud-controller-0 ]
 Clone Set: neutron-metadata-agent-clone [neutron-metadata-agent]
     Stopped: [ overcloud-controller-0 ]
--
     Started: [ overcloud-controller-0 ]
 Clone Set: neutron-dhcp-agent-clone [neutron-dhcp-agent]
     Stopped: [ overcloud-controller-0 ]

One symptom is inability to communicate with the launched instances.

Expected result:
No stopped resources.


Note:
The W/A I applied was
"pcs resource debug-start neutron-l3-agent"

After that was able to launch instances and communicate with them.
Comment 3 Alexander Chuzhoy 2015-07-31 15:44:30 EDT
Environment:
python-neutron-lbaas-2015.1.0-5.el7ost.noarch
openstack-neutron-ml2-2015.1.0-12.el7ost.noarch
python-neutron-2015.1.0-12.el7ost.noarch
python-neutronclient-2.4.0-1.el7ost.noarch
openstack-neutron-common-2015.1.0-12.el7ost.noarch
openstack-neutron-lbaas-2015.1.0-5.el7ost.noarch
openstack-neutron-2015.1.0-12.el7ost.noarch
openstack-neutron-metering-agent-2015.1.0-12.el7ost.noarch
openstack-neutron-openvswitch-2015.1.0-12.el7ost.noarch
instack-undercloud-2.1.2-22.el7ost.noarch
Comment 4 Alexander Chuzhoy 2015-07-31 15:47:44 EDT
Created attachment 1058127 [details]
neutron conf and logs
Comment 6 Mike Burns 2016-04-07 16:47:27 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 9 Brent Eagles 2016-10-11 15:06:30 EDT
The L3 agent is no longer a pacemaker managed service. Is this issue actually relevant for OSP-10 or should it be retargeted to OSP-9?
Comment 10 Mike Burns 2016-10-12 07:04:53 EDT
I suspect this is closed currentrelease, but we should ask QE to test.  If you think this should be explicitly tested on both 9 and 10, then let's do that.
Comment 11 Assaf Muller 2016-10-14 13:05:32 EDT
Please re-open with relevant OSP version if needed.

Note You need to log in before you can comment on or make changes to this bug.